nova: proxy floating ip calls to quantum

Bug #1031119 reported by dan wendlandt on 2012-07-30
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Akihiro Motoki
Folsom
Medium
Chuck Short
nova (Ubuntu)
Undecided
Unassigned

Bug Description

nova includes tenant-facing commands to deal with floating ips. We'd like to have these commands still work and proxied to Quantum. this should be doable by changing the quantumv2 implementation of network-api.

dan wendlandt (danwent) on 2012-07-30
Changed in quantum:
status: New → Confirmed
importance: Undecided → High
milestone: none → folsom-3
dan wendlandt (danwent) on 2012-08-14
Changed in quantum:
milestone: folsom-3 → folsom-rc1
Changed in quantum:
assignee: nobody → flaviamissi (flaviamissi)
dan wendlandt (danwent) wrote :

given everything else we have to do, we'll likely have to drop this from folsom.

Changed in quantum:
milestone: folsom-rc1 → none
importance: High → Low
milestone: none → folsom-rc1
importance: Low → Medium
dan wendlandt (danwent) on 2012-08-27
Changed in quantum:
milestone: folsom-rc1 → none
Akihiro Motoki (amotoki) wrote :

I posted a patch on gerrit: https://review.openstack.org/#/c/13007/

Changed in quantum:
assignee: flaviamissi (flaviamissi) → Akihiro Motoki (amotoki)
status: Confirmed → In Progress
Endre Karlson (endre-karlson) wrote :

I tested this with Nova milestone-proposed (Simply patched the files) and restarted nova-api and when I do floating-ip-create I get:
client@admin:~$ nova floating-ip-create test
ERROR: FloatingIpPoolNotFound: Floating ip pool not found. (HTTP 404) (Request-ID: req-1c1979ce-a510-411f-8d66-35f92fc1c764)

On the nova api node:
root@os-svc02:~# pip freeze | grep quantum
 Warning: cannot find svn location for distribute==0.6.24dev-r0
python-quantumclient==2.1.1
quantum==2012.2

Endre Karlson (endre-karlson) wrote :

Nevermind me, I was missing the default_floating_pool flag.

And alo for Horizon this *almost* fixes issues with the lack of Floating IP's support by making Nova proxy calls instead to Quantum.

I can assign Floating IP's from the pool to my project / create as it's called but I can't associate between a VM and a Floating IP in Horizon.

Horizon gives me:
Select a valid choice. 77e7f35f-8e24-4371-a269-54ee51c7df97 is not one of the available choices.

But it works perfectly using the Nova CLI - associates:
nova add-floating-ip test 192.168.5.201

The FIP ID is correct since:
client@admin:~$ quantum floatingip-list
+--------------------------------------+------------------+---------------------+--------------------------------------+
| id | fixed_ip_address | floating_ip_address | port_id |
+--------------------------------------+------------------+---------------------+--------------------------------------+
| 77e7f35f-8e24-4371-a269-54ee51c7df97 | 172.16.59.5 | 192.168.5.201 | f3f17aa5-9daf-413d-91aa-840588fcfdf5 |
+--------------------------------------+------------------+---------------------+--------------------------------------+

Endre Karlson (endre-karlson) wrote :

I'm not sure if this bug is the correct place to land these things but for notes - releasing floating ip's in horizon:
ValueError at /nova/access_and_security/
invalid literal for int() with base 10: '28e48e22-873b-4616-b19e-62b5311b93f6'
Request Method: POST
Request URL: http://192.168.5.51/horizon/nova/access_and_security/
Django Version: 1.4
Exception Type: ValueError
Exception Value:
invalid literal for int() with base 10: '28e48e22-873b-4616-b19e-62b5311b93f6'
Exception Location: /usr/lib/python2.7/dist-packages/horizon/dashboards/nova/access_and_security/floating_ips/tables.py in sanitize_id, line 120
Python Executable: /usr/bin/python
Python Version: 2.7.3
Python Path:
['/usr/share/openstack-dashboard/openstack_dashboard/wsgi/../..',
 '/usr/local/lib/python2.7/dist-packages/swift-1.4.8-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/WebOb-1.0.8-py2.7.egg',
 '/usr/local/lib/python2.7/dist-packages/heat-6-py2.7.egg',
 '/usr/lib/python2.7',
 '/usr/lib/python2.7/plat-linux2',
 '/usr/lib/python2.7/lib-tk',
 '/usr/lib/python2.7/lib-old',
 '/usr/lib/python2.7/lib-dynload',
 '/usr/local/lib/python2.7/dist-packages',
 '/usr/lib/python2.7/dist-packages',
 '/usr/lib/pymodules/python2.7',
 '/usr/share/openstack-dashboard/',
 '/usr/share/openstack-dashboard/openstack_dashboard']
Server time: Thu, 27 Sep 2012 09:09:15 +0000

Seems like it needs to have a 'int' id instead of a string based uuid?

Akihiro Motoki (amotoki) wrote :

Hi Endre,

The issue you mentioned is filed as a Horizon bug https://bugs.launchpad.net/horizon/+bug/1052561
and I already posted a patch for Horizon to accept UUID style of floating IP ID: https://review.openstack.org/#/c/13212/.

dan wendlandt (danwent) on 2012-10-03
Changed in quantum:
milestone: none → grizzly-1
affects: quantum → nova
Changed in nova:
milestone: grizzly-1 → none

Reviewed: https://review.openstack.org/13007
Committed: http://github.com/openstack/nova/commit/7948b7a572e33e3fd541e27f2617d832eb43b504
Submitter: Jenkins
Branch: master

commit 7948b7a572e33e3fd541e27f2617d832eb43b504
Author: Akihiro MOTOKI <email address hidden>
Date: Thu Sep 13 21:22:33 2012 +0900

    Proxy floating IP calls to quantum

    Fixes bug 1023169. Also fixes bug 1031119.

    In Folsom, floating IP support is moved to Quantum. By this commit floating IP
    calls to nova are proxied to Quantum and nova command can be used to manage
    floating IPs.

    pip-requires is also updated and now requires python-quantumclient >=2.1 which
    supports floating IP feature in Quantum.

    Change-Id: I2c32948a8fe291601216dc62d546da64a8fb8428

Changed in nova:
status: In Progress → Fix Committed
James Page (james-page) on 2012-11-06
Changed in nova (Ubuntu):
status: New → Triaged

Reviewed: https://review.openstack.org/16193
Committed: http://github.com/openstack/nova/commit/3f7788ca4310a7fa34b7687ff6e41f8de4d2cadc
Submitter: Jenkins
Branch: stable/folsom

commit 3f7788ca4310a7fa34b7687ff6e41f8de4d2cadc
Author: Akihiro MOTOKI <email address hidden>
Date: Thu Sep 13 21:22:33 2012 +0900

    Proxy floating IP calls to quantum

    Fixes bug 1023169. Also fixes bug 1031119.

    In Folsom, floating IP support is moved to Quantum. By this commit floating IP
    calls to nova are proxied to Quantum and nova command can be used to manage
    floating IPs.

    pip-requires is also updated and now requires python-quantumclient >=2.1 which
    supports floating IP feature in Quantum.

    Change-Id: I2c32948a8fe291601216dc62d546da64a8fb8428
    (cherry picked from commit 7948b7a572e33e3fd541e27f2617d832eb43b504)

tags: added: in-stable-folsom
Thierry Carrez (ttx) on 2012-11-21
Changed in nova:
milestone: none → grizzly-1
status: Fix Committed → Fix Released

Is there any chance to see this patch included in the Ubuntu Cloud Archive?

Mark McLoughlin (markmc) on 2013-01-22
tags: removed: in-stable-folsom
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-1 → 2013.1
James Page (james-page) on 2013-10-11
Changed in nova (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers